package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.ModelAtomicIndex;
import com.supervision.police.domain.ModelIndex;

/**
 * 指标表(ModelIndex)表服务接口
 *
 * @author qmy
 * @since 2024-07-05 09:20:10
 */
public interface ModelIndexService extends IService<ModelIndex> {

    R<?> selectAll(ModelIndex modelIndex, Integer page, Integer size);

    R<?> addOrUpd(ModelIndex modelIndex);

    R<?> del(String id);

    R<?> selectAllAtomic(ModelAtomicIndex modelAtomicIndex, Integer page, Integer size);

    R<?> addOrUpdAtomic(ModelAtomicIndex modelAtomicIndex);

    R<?> delAtomic(String id);

}

