package com.supervision.police.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 案件证据信息
 */
@Data
public class CaseEvidenceReqVo {

    @Schema(description = "案件证据id")
    private String id;

    @Schema(description = "案件id")
    private String caseId;

    @Schema(description = "案件证据名称")
    private String evidenceName;

    @Schema(description = "案件证据类型")
    private String evidenceType;

    @Schema(description = "证据提供人")
    private String provider;

    @Schema(description = "甲方")
    private String partyA;

    @Schema(description = "乙方")
    private String partyB;

    @Schema(description = "文件id集合")
    private List<String> fileIdList;
}
