package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.police.domain.ModelIndexResult;
import org.apache.ibatis.annotations.Param;

/**
 * 指标结果表(ModelIndexResult)表数据库访问层
 *
 * @author qmy
 * @since 2024-07-09 18:09:24
 */
public interface ModelIndexResultMapper extends BaseMapper<ModelIndexResult> {

    ModelIndexResult selectByCaseIdAndIndexId(@Param("caseId") String caseId,
                                              @Param("indexId") String indexId);

}

