package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.ModelRecordType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ModelRecordTypeMapper extends BaseMapper<ModelRecordType> {

    IPage<ModelRecordType> selectByName(IPage<ModelRecordType> iPage, @Param("name") String name);
    List<ModelRecordType> selectByName(@Param("name") String name);

    ModelRecordType queryByName(@Param("name") String name);

    List<String> getAllType();

}
